<html>
    <head>
        <title>Itowns - Planar example</title>

        <meta charset="UTF-8">
        <link rel="stylesheet" type="text/css" href="node_modules/itowns/examples/css/example.css">

        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <style>
/**
* to use, set these css variables:
* - --size: determine the size of the widget
* - --theta and --phi to rotate it
*/
.cube_widget {
    position: absolute;
    top: 0;
    left: 10;
    z-index: 10;
    --size: 15rem;
    --theta: 0;
    --phi: 0;
    width: var(--size);
    height: var(--size);
    perspective: calc(var(--size) * 10);
    display: flex;
}

.cube {
    --face-size: calc(0.45 * var(--size));
    --theta: 45deg;
    --phi: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    transform-style: preserve-3d;
    transform: rotateX(var(--phi)) rotateY(var(--theta));
}

.circle {
    pointer-events: none;
    border-radius: 50%;
    width: 100%;
    height: 100%;
    background: radial-gradient(transparent calc(var(--size) * 0.35), #aaa calc(var(--size) * 0.35 + 1px), rgba(0, 0, 0, 0) calc(var(--size) * 0.4), #eee calc(var(--size) * 0.4));
    box-sizing: border-box;
    position: absolute;
    top: 50%;
    left: 50%;
    width: var(--size);
    height: var(--size);
    margin: calc(-0.5 * var(--size));
    transform: rotateX(90deg) translateZ(calc(-0.6 * var(--face-size)));
}

.cube__face {
    --i: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    width: var(--face-size);
    height: var(--face-size);
    margin: calc(-0.5 * var(--face-size));
    line-height: var(--face-size);
    vertical-align: middle;
    text-align: center;
    background: radial-gradient(#ffffffcc, #aaa);
    border: 1px solid black;
    transform: rotate3d(var(--i, 0), calc(1 - var(--i, 0)), 0, calc(var(--m) * 90deg)) translateZ(calc(0.5* var(--face-size)));
}
.cube__face:nth-child(n+5) {
    --i: 1;
}
.cube__face:nth-child(1) {
    --m: 0;
}
.cube__face:nth-child(2) {
    --m: 1;
}
.cube__face:nth-child(3) {
    --m: 2;
}
.cube__face:nth-child(4) {
    --m: 3;
}
.cube__face:nth-child(5) {
    --m: 1;
}
.cube__face:nth-child(6) {
    --m: -1;
}
.cube__face:hover {
    background: radial-gradient(#ffffffcc, #aaf);
}
.cube__face:hover.selected {
    background: radial-gradient(#ffffffcc, #5f5);
}

.selected {
    background: radial-gradient(#ffffffcc, #afa);
}

</style>
    </head>
    <body>
        <div id="viewerDiv" class="viewer">
            <div class='cube_widget' id='cube_widget'>
                <div class='cube' id='cube'>
                    <div id="south" class='cube__face'>South</div>
                    <div id="east" class='cube__face'>East</div>
                    <div id="north" class='cube__face'>North</div>
                    <div id="west" class='cube__face'>West</div>
                    <div id="top" class='cube__face'>Top</div>
                    <div id="bottom" class='cube__face'>Bottom</div>
                    <div class='circle'></div>
                </div>
            </div>

        </div>

      <script type="module" src="./main.js"></script>
    </body>
</html>
